org.jacoco.core.runtime

## Class WildcardMatcher

- java.lang.Object
- - org.jacoco.core.runtime.WildcardMatcher

    public class WildcardMatcher
    extends Object

Matches strings against `?`/`*` wildcard expressions. Multiple expressions can be separated with a colon (:). In this case the expression matches if at least one part matches.

### Constructor Summary

Constructors
Constructor and Description
`WildcardMatcher(String expression)` Creates a new matcher with the given expression.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matches(String s)` Matches the given string against the expressions of this matcher.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WildcardMatcher

    public WildcardMatcher(String expression)

Creates a new matcher with the given expression.

Parameters:
  `expression` - wildcard expressions

### Method Detail

#### matches

    public boolean matches(String s)

Matches the given string against the expressions of this matcher.

Parameters:
  `s` - string to test
Returns:
  `true`, if the expression matches